#!/bin/sh

echo "Installing and patching XKB files..."
if cat XKB-patch |(cd /usr/X11R6/lib/X11 && patch -p0 -E )
then
	echo Done.
else
	echo "Something is wrong -- patch failed. Is XKB installed here?"
	exit 1
fi

echo "Patching XKeysymDB file..."
if cat XKeysymDB-patch |(cd /usr/X11R6/lib/X11 && patch -p0 -E )
then
	echo Done.
else
	echo "Something is wrong -- patch failed."
	exit 1
fi

if test -d /usr/share/locale/cs
then echo "cs locale exists. Good."
else
	echo "Creating a cs locale definition..."
	if localedef -i /usr/share/i18n/locales/cs_CZ -f "ISO-8859-2" cs
	then echo Done.
	else echo "localedef failed."
		exit 1
	fi
fi

cat <<EOF
*****************************************************************
*****************************************************************
Installation was successful.
Remember to comment out all the *Alt, *Ctl and ScrollLock options
in XF86Config's "Keyboard" section, and add the following line to
the XF86Config:

	XkbKeymap "xfree86(<map_name>)"

where <map_name> is one of the following:

	us_cz_qwerty
	us_cz_qwertz
	us_cz_prog
	cz_us_qwerty
	cz_us_qwertz
	cz_us_prog

	us_sk_qwerty
	us_sk_qwertz
	us_sk_prog
	sk_us_qwerty
	sk_us_qwertz
	sk_us_prog

And do not forget to set LANG environment variable to "cz" or "sk"
by the "export LANG=cz" in Bash or "setenv LANG=cz" in the C-shell.

Installation finished.
EOF
exit 0
